=== modified file 'lib/Controller/User.php'
--- lib/Controller/User.php	2018-09-04 14:11:27 +0000
+++ lib/Controller/User.php	2018-09-04 15:18:22 +0000
@@ -936,6 +936,7 @@
 
     /**
      * Change my Password
+     * @throws InvalidArgumentException
      */
     public function changePassword()
     {
@@ -946,10 +947,10 @@
         $retypeNewPassword = $this->getSanitizer()->getString('retypeNewPassword');
 
         if ($newPassword == null || $retypeNewPassword == '')
-            throw new \InvalidArgumentException(__('Please enter the password'));
+            throw new InvalidArgumentException(__('Please enter the password'), 'password');
 
         if ($newPassword != $retypeNewPassword)
-            throw new \InvalidArgumentException(__('Passwords do not match'));
+            throw new InvalidArgumentException(__('Passwords do not match'), 'password');
 
         $user->setNewPassword($newPassword, $oldPassword);
         $user->save([
@@ -972,11 +973,19 @@
      */
     public function forceChangePasswordPage()
     {
+        $user = $this->getUser();
+
+        // if the flag to force change password is not set to 1 then redirect to the Homepage
+        if ($user->isPasswordChangeRequired != 1) {
+            $this->getApp()->redirectTo('home');
+        }
+
         $this->getState()->template = 'user-force-change-password-page';
     }
 
     /**
      * Force change my Password
+     * @throws InvalidArgumentException
      */
     public function forceChangePassword()
     {
@@ -986,10 +995,10 @@
         $retypeNewPassword = $this->getSanitizer()->getString('retypeNewPassword');
 
         if ($newPassword == null || $retypeNewPassword == '')
-            throw new \InvalidArgumentException(__('Please enter the password'));
+            throw new InvalidArgumentException(__('Please enter the password'), 'password');
 
         if ($newPassword != $retypeNewPassword)
-            throw new \InvalidArgumentException(__('Passwords do not match'));
+            throw new InvalidArgumentException(__('Passwords do not match'), 'password');
 
         $user->setNewPassword($newPassword);
         $user->save([

